Subject: Re: [ietf-822] Question regarding RFC 2369

From: Alexey Melnikov <[email-masked]>
Date: Sat, 21 Jul 2018 15:32:13 +0100

Hi Peter,
I deleted [email-masked] from the reply, as they are not directly
responsible for maintenance of RFC that you are quoting. I think ietf-
[email-masked] is a better mailing list for this discussion (See
<https://www.ietf.org/mailman/listinfo/ietf-822> to subscribe)[email-masked] might also be of interest, as SMTP behaviour is
discussed there.
On Thu, Jul 19, 2018, at 12:24 PM, Peter Occil wrote:
> RFC 2369 sec. 2 currently says:

>    MTAs MUST NOT insert whitespace within the brackets [contained

>    in list header fields], but client applications should treat any>    whitespace, that might be inserted by poorly behaved MTAs,

>    as characters to ignore.

> To the extent the first clause applies to software generating messages
> that might contain list header fields, usually for the purpose of
> first sending them, this makes it harder for software to encode
> message header fields in a generic manner rather than having to deal
> with special cases like the list header fields, since, among other
> things, such software may seek to comply with line length limitations
> in RFC 5322 by folding long lines in accordance with that RFC.>  

> If the cited clause does apply to such software, a suggested change to
> that statement in a future revision of that RFC might be that
> whitespace "SHOULD NOT" be inserted between the brackets, but that
> software generating (as opposed to retransmitting) messages containing
> list header fields might choose to do so due to line length
> limitations in Internet messages or because of the need or desire to
> handle messages generically regardless of what header fields it has.
> (But I note that this change should not encourage MTAs to disobey SMTP
> or other transport protocols they may implement.)>  

> --Peter

---

From: "John Levine" <[email-masked]>
Date: 21 Jul 2018 16:19:53 -0400

In article <[email-masked]> you write:
>> in RFC 5322 by folding long lines in accordance with that RFC.

Remember that MUST means "do this if you want to interoperate", not "do this or die."

Plan A: update RFC 2369 to say MAY add spaces, send out a press release, wait for
everyone in the world to update their software to remove spaces when parsing List-x
headers.

Plan B: figure out how to make your URLs short enough that your List-Unsubscribe
headers are under 998 characters.

I know what I'd do.

R's,
John

---

From: Peter Occil <[email-masked]>
Date: Tue, 24 Jul 2018 11:42:58 -0400

Upon further thought, the text that I cited in RFC 2369 ("MTAs MUST NOT insert whitespace within the brackets [contained in list header fields]") might not apply to mail user agents, and particularly not to the software library that I referred to in a previous message, which is primarily for mail user agents, not MTAs.

As a result, I declare my question moot.

--Peter

From: Peter Occil
Sent: Thursday, July 19, 2018 7:24 AM
To: [email-masked]
Subject: Question regarding RFC 2369

   MTAs MUST NOT insert whitespace within the brackets [contained
   in list header fields], but client applications should treat any 
   whitespace, that might be inserted by poorly behaved MTAs, 
   as characters to ignore.

[…]